# OgreHighLevelGpuProgramManager.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreResourceManager.h"`
`#include "OgreSingleton.h"`
`#include "OgreException.h"`
`#include "OgreHighLevelGpuProgram.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::HighLevelGpuProgramFactory
| Interface definition for factories of HighLevelGpuProgram. More...
class | Ogre::HighLevelGpuProgramManager
| This ResourceManager manages high-level vertex and fragment programs. More...

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:32:21 2009